%define pluginname versionfix

Summary: Yum plugin to fix packages that might have been packaged with wrong versions
Name: yum-%{pluginname}
Version: 1.0
Release: 10.sl4
License: GPL
Group: System Environment/Base
Source: %{name}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Requires: python, yum >= 2.4.3-3
Epoch: 0

%description
This plugin goes through a list, and replaces the one rpm with another
one, despite the one rpm having a higher version of release.

%prep
%setup -q -n %{name}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d/ $RPM_BUILD_ROOT/usr/lib/yum-plugins/

install -m 644 %{pluginname}.conf $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d/
install -m 644 %{pluginname}.list $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d/
install -m 644 %{pluginname}.py $RPM_BUILD_ROOT/usr/lib/yum-plugins/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/%{pluginname}.conf
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/%{pluginname}.list
/usr/lib/yum-plugins/%{pluginname}.*

%changelog
* Mon Dec 15 2008 Troy Dawson <dawson@fnal.gov> 1.0-10.sl4
- Updated versionfix.list

* Fri May  4 2008 Troy Dawson <dawson@fnal.gov> 1.0-2.sl4
- Update plugin
- Updated versionfix.list
- Updated requirements to only work with yum 2.4.3-3 or above

* Fri May  4 2008 Troy Dawson <dawson@fnal.gov> 1.0-1.sl4
- Made changes to plugin so that it works with SL4 and yum 2.4

* Fri May  4 2008 Troy Dawson <dawson@fnal.gov> 1.0-1
- First round.
- list file only has fixed for cups in SL4 and SL5
